%
clear all;
load('./dsddata_20050513.mat')

len=length(dsd_data(1,1,:))
Ct_all=squeeze(dsd_data(:,2,:));   %% Total # for every bin
D_all=squeeze(dsd_data(:,3,:));    %% Diameter: bin spaced by D 
Nd_all=squeeze(dsd_data(:,6,:));   %% # DSD
V_all=squeeze(dsd_data(:,8,:));     %% velocity
figure(1)
times=files(:,8:11);
time1=str2num(times(:,1)).*10+str2num(times(:,2))+(str2num(times(:,3)).*10+str2num(times(:,4)))./60;
%Ad_all=???
%Md_all=???
%Zd_all=???
figure(1);
subplot(4,1,1)
pcolor(time1(:,1), D_all(:,1), log10(Nd_all))
colormap(jet)
shading flat
title(strcat('N(D), log_{10}(# m^{-3} mm^{-1})'))%,'FontSize',14)%, date: 200', dayStr))
ylabel('D, mm')%,'FontSize',14)
colorbar
xlim([7 13])
%subplot(412)
%subplot(413)
%subplot(414)
%???
